Package: org.gradle.ide.visualstudio

## [Java] Interface TextProvider

- Provides access to the content of a generated text file.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `StringBuilder` | `asBuilder()` Get the content as a StringBuilder, permitting direct modification.
    `String` | `getText()` The text content.
    `void` | `setText(String value)` Replace the content.

- - ### Method Detail

    - #### public StringBuilder asBuilder()

      Get the content as a StringBuilder, permitting direct modification.

    - #### public String getText()

      The text content.

    - #### public void setText(String value)

      Replace the content.